#include <stdio.h>
#include <sys/time.h>
#include <time.h>


long diftime(long old_time, long new_time) {
  long dif_time;
  dif_time = new_time - old_time;
  
  if(dif_time < 0)
    return(1000000 + dif_time);
  else
    return dif_time;
}

long gettime() {
  struct timeval cur_time;
  struct timezone dummy;

  if (gettimeofday(&cur_time, &dummy) >= 0)
    return((cur_time.tv_sec % 1000) * 1000) + (cur_time.tv_usec / 1000);
  else
    return(-1);
}


int main() {

  long old_time, cur_time;
  char any;

  while(1) {
    old_time = gettime();
    printf("Press enter:");
    scanf("%c", &any);
    cur_time = gettime();
    printf("%ld - %ld = %ld", cur_time, old_time, diftime(old_time, cur_time));
  }


}


