#!/usr/bin/perl

open INFILE, "<$ARGV[0]";
open OUTFILE, ">$ARGV[1]";

$sub = -1;
$loss = -1;
$lat= -1;
$lastlat = -1;
$numave = 5;
$goodlat = 250;
$goodloss = .1;


while (<INFILE>) {
        /([0-9]+)[^0-9]+([0-9]+)[^0-9]+([0-9]+)/;
	
        if ($lastlat != -1) {
	    if ($lat != -1) {
		$lat = (1/$numave) * ($1 - $lastlat) + (($numave - 1)/$numave) * $lat;   
	    } else {
		$lat = $1 - $lastlat;
	    }
        } 
	$lastlat = $1;

	if ($loss != -1) {
	    $loss = (1/$numave) * $3 + (($numave - 1)/$numave) * $loss;   
	} else {
	    $loss = $3;
	}
	
	if (($lat != -1) && ($loss != -1)) {
	    $normlat = $lat/$goodlat;
	    $normloss = $loss/$goodloss;
	    $quality = $normlat * $normlat + $normloss * $normloss; 
	} else {
	    $quality = 0;
	}
	print OUTFILE "$lat\t$loss\t$quality\n";


}
